#!/bin/ksh

# $Id: Build.sh,v 1.1 2007/01/04 04:42:06 elkner Exp $

# source: http://www.linofee.org/~jel/develop/prtdiag/
# license: Apache 2

VERSION=2.0

SDIR=`dirname $0`
if [ "$SDIR" == "." ]; then
	SDIR=`pwd`
fi

SCRIPTDIR=${SDIR}/../../../etc
. ${SCRIPTDIR}/buildfunctions.sh

SRC=$SOURCE/hardware
TMPBUILD=$BUILD/prtdiag-$VERSION

doPrepare() {
	REQUIRED=""

	. ${SCRIPTDIR}/root4build
	cd $TMPBUILD
	cp ${SDIR}/prtdiag.dbk .
}

doMake() {
	cd $TMPBUILD
	xsltproc ${DOCBOOK_XSL_HOME}/manpages/docbook.xsl prtdiag.dbk
}

doPackage() {
	cd $TMPBUILD
	gzip -9c prtdiag.8 >prtdiag.8.gz
	cat<<EOF>${TMPBUILD}/prototype.lnf
i pkginfo=${SDIR}/pkginfo
i depend=${SDIR}/depend
d none sbin ? ? ?
f none sbin/prtdiag=${SDIR}/prtdiag 0755 bin bin
d none man ? ? ?
d none man/man8 ? ? ?
f none man/man8/prtdiag.8.gz=${TMPBUILD}/prtdiag.8.gz 0644 bin bin
EOF

	echo "calling ${TMPBUILD}/prototype.lnf"
	call_pkgmk ${TMPBUILD}/prototype.lnf
}

doBuild "$1"
